> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Work Locations

> Get a specific Work Location or all Work Locations in Zeal's system for a company.



## OpenAPI

````yaml openapi/zeal-api.json get /workLocations
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /workLocations:
    get:
      summary: Get Work Locations
      description: Fetch Work Location(s) by company and/or specific parameters.
      operationId: get-work-locations
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
        - name: workLocationID
          in: query
          description: Work Location ID of the object you're querying
          schema:
            type: string
        - name: taxableLocationID
          in: query
          description: Taxable Location ID of the object(s) you are querying
          schema:
            type: string
        - name: state
          in: query
          description: >-
            The array of US States (2 letter abbreviation) applicable to the
            objects that you are querying
          schema:
            type: array
            items:
              type: string
        - name: work_site_id
          in: query
          description: ID assigned to the Work Location
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - workLocationID: 531fece70b6d0b5d29c9f352
                        companyID: '1234567890'
                        taxableLocationID: 609ffdf81a5f9c4c10b0c443
                        name: Head Quarters
                        work_site_id: HQ
                      - workLocationID: 54358gjhldf58094f
                        companyID: '1234567890'
                        taxableLocationID: 789gfsd7892347c
                        name: Satellite Office Number 1
                        work_site_id: S1
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        workLocationID:
                          type: string
                          example: 531fece70b6d0b5d29c9f352
                        companyID:
                          type: string
                          example: '1234567890'
                        taxableLocationID:
                          type: string
                          example: 609ffdf81a5f9c4c10b0c443
                        name:
                          type: string
                          example: Head Quarters
                        work_site_id:
                          type: string
                          example: HQ
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Work Location(s) not found
                        status: 400
                        code: 58
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Work Location(s) not found
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 58
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````